import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedAdjacentItem = IconWrapper('byted-adjacent-item', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M14 29H42V41H14V35V29Z",
    "fill": props.colors[1]
  }, null), _createVNode("path", {
    "d": "M14 7H42V19H14V13V7Z",
    "fill": props.colors[1]
  }, null), _createVNode("path", {
    "d": "M14 13V19H42V7H14V13ZM14 13H6V35H14M14 35V41H42V29H14V35Z",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M14 13H6V35H14",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M14 29H42V41H14V35V29Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M14 7H42V19H14V13V7Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedAdjacentItem;