import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedAnchor = IconWrapper('byted-anchor', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("line", {
    "x1": "14",
    "y1": "8",
    "x2": "34",
    "y2": "8",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap
  }, null), _createVNode("line", {
    "x1": "14",
    "y1": "8",
    "x2": "34",
    "y2": "8",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap
  }, null), _createVNode("line", {
    "x1": "14",
    "y1": "40",
    "x2": "34",
    "y2": "40",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap
  }, null), _createVNode("rect", {
    "x": "36",
    "y": "4",
    "width": "8",
    "height": "8",
    "rx": "2",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("rect", {
    "x": "4",
    "y": "4",
    "width": "8",
    "height": "8",
    "rx": "2",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("rect", {
    "x": "36",
    "y": "36",
    "width": "8",
    "height": "8",
    "rx": "2",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("rect", {
    "x": "4",
    "y": "36",
    "width": "8",
    "height": "8",
    "rx": "2",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("line", {
    "x1": "40",
    "y1": "14",
    "x2": "40",
    "y2": "34",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap
  }, null), _createVNode("line", {
    "x1": "8",
    "y1": "14",
    "x2": "8",
    "y2": "34",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap
  }, null)]);
});
export default BytedAnchor;