import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedDiving = IconWrapper('byted-diving', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M31.8 6H10.2C7.8804 6 6 7.79086 6 10V18H17C17 16 18.5 14 21 14C23.5 14 25 16 25 18H36V10C36 7.79086 34.1196 6 31.8 6Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M16 24C16 25.4912 17.25 30 21 30C24.75 30 26 25.4912 26 24",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M42 6V38C42 42 39 44 36 44C33 44 30 42 30 38V36",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedDiving;