import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedFigmaMask = IconWrapper('byted-figma-mask', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("circle", {
    "cx": "24",
    "cy": "24",
    "r": "20",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M14 41.3242C19.978 37.8662 24 31.4027 24 23.9999C24 16.5971 19.978 10.1336 14 6.67554C8.02199 10.1336 4 16.5971 4 23.9999C4 31.4027 8.02199 37.8662 14 41.3242Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedFigmaMask;