import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedHealthyRecognition = IconWrapper('byted-healthy-recognition', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M6 33V39C6 40.6569 7.34315 42 9 42H15",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M33 42H39C40.6569 42 42 40.6569 42 39V33",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M42 15V9C42 7.34315 40.6569 6 39 6H33",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M6 15V9C6 7.34315 7.34315 6 9 6H15",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M34 24L24 34C24 34 15.0002 25 14 24C12.9998 23 12.5 21 14 19C15.5 17 18.5 17 20 18C21.5001 19 22.0001 20 24 20C26 20 26.5001 19 28 18C29.5 17 32.5003 17 34.0003 19C35.5003 21 35 23 34 24Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedHealthyRecognition;