import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedLipTattoo = IconWrapper('byted-lip-tattoo', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M25 19.8902C23.5 17.37 19.5 17.3699 18 19.8902C16.8849 21.7639 13 24.5 12 24.9432C13.6667 27.2955 19.5 32 25 32C31.5 32 36.1667 27.2955 38 24.9432C37 24.5 34.8361 22.8196 32.5 19.8902C30.5 17.3823 26.5 17.3823 25 19.8902Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M12 25C15.7899 25.7546 26.2958 26.8111 38 25",
    "stroke": props.colors[2],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M44 24C44 35.0457 35.0457 44 24 44C12.9543 44 4 35.0457 4 24C4 12.9543 12.9543 4 24 4",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M39 8.47214L39.343 9.52786H40.4531L39.555 10.1803L39.8981 11.2361L39 10.5836L38.1019 11.2361L38.445 10.1803L37.5469 9.52786H38.657L39 8.47214Z",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth
  }, null), _createVNode("path", {
    "d": "M35.0001 22.6564C36.2936 23.9047 37.3745 24.666 38.0001 24.9432C37.1558 26.0264 35.7108 27.6083 33.7627 29",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M16.0978 22C14.5549 23.374 12.6562 24.6523 12 24.9432C12.9413 26.2716 15.2114 28.3503 18 29.9081",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedLipTattoo;