import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedLotion = IconWrapper('byted-lotion', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("rect", {
    "x": "17",
    "y": "37",
    "width": "14",
    "height": "7",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M36 4H12C12 4 12 12 13 21C14 30 17 37 17 37H31C31 37 34 30 35 21C36 12 36 4 36 4Z",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M20.643 21.8886C22.0743 20.0081 23.1776 17.4103 23.774 16C24.8177 17.4103 27.084 20.9484 27.7997 22.8288C28.6942 25.1793 26.4578 28 23.774 28C21.0903 28 18.8538 24.2391 20.643 21.8886Z",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M13 10L35 10",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedLotion;