import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedMisalignedSemicircle = IconWrapper('byted-misaligned-semicircle', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M20 30C13.3726 30 8 24.6274 8 18C8 11.3726 13.3726 6 20 6",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M20 22C17.7909 22 16 20.2091 16 18C16 15.7909 17.7909 14 20 14",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M28 34C30.2091 34 32 32.2091 32 30C32 27.7909 30.2091 26 28 26",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M28 42C34.6274 42 40 36.6274 40 30C40 23.3726 34.6274 18 28 18",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedMisalignedSemicircle;