import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedPaintedScreen = IconWrapper('byted-painted-screen', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("rect", {
    "x": "5",
    "y": "10",
    "width": "38",
    "height": "28",
    "rx": "3",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth
  }, null), _createVNode("path", {
    "d": "M13 24L13 17",
    "stroke": props.colors[2],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("rect", {
    "x": "15",
    "y": "29",
    "width": "4",
    "height": "4",
    "rx": "2",
    "transform": "rotate(90 15 29)",
    "fill": props.colors[2]
  }, null)]);
});
export default BytedPaintedScreen;