import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedPineapple = IconWrapper('byted-pineapple', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M20.5 14.5C20 14 20 13.1492 20 11C20 7.13401 24 4 24 4C24 4 27 7.13401 27 11C27 12.9224 27 14 26.5 14.5",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M17 17C15.7891 14.0818 12.8623 10.4325 11 9C16.411 7.98543 20.7736 11.3006 23 14",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M30 16C31.4519 13.303 34.3038 10.3048 36 9C30.3567 7.94188 26.1286 11.2612 24 14",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M16.7254 17.3742C16.1755 17.8607 15.5999 18.4006 15.0005 19C10.8099 23.1905 10.1023 30.864 10.0028 34.2804C9.96939 35.4298 9.97739 36.6023 10.4118 37.6669C10.8787 38.811 11.8749 40.4055 14.0008 42C18.0006 45 30.0006 45 34.0003 42C36.1167 40.4127 37.1132 38.8254 37.5824 37.6824C38.0234 36.6083 38.0311 35.4238 37.9969 34.2632C37.8958 30.8382 37.184 23.1834 33.0006 19C32.4011 18.4006 31.8254 17.8605 31.2754 17.374C27.0168 13.6072 20.984 13.6074 16.7254 17.3742Z",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M32 18L11 29",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M16 18L37 29",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M35 41L11 27",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M37 27L13 41",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedPineapple;