import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedProtection = IconWrapper('byted-protection', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M42 24C42 14.6112 33.9411 7.00003 24 7.00003C14.0589 7.00003 6 14.6112 6 24H42Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M24 24.0083V38.5455C24 41.5579 21.5142 44 18.5 44C15.4858 44 13 41.5579 13 38.5455",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M24 4.00003V7.00003",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap
  }, null)]);
});
export default BytedProtection;