import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedSTurnRight = IconWrapper('byted-s-turn-right', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M30 24L13 24C9 24 6 21 6 17C6 13 9 9.99998 13 9.99999L32 9.99998",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M8 38L35 38C39 38 42 35 42 31C42 27 39 24 35 24L30 24",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M13 43L8 38L13 33",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("circle", {
    "cx": "37.1758",
    "cy": "9.99997",
    "r": "5",
    "transform": "rotate(-180 37.1758 9.99997)",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth
  }, null)]);
});
export default BytedSTurnRight;