import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedShoppingBag = IconWrapper('byted-shopping-bag', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M5 17H43L38.8 43H9.2L5 17Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M35 17C35 10.3726 30.0751 5 24 5C17.9249 5 13 10.3726 13 17",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("circle", {
    "cx": "17",
    "cy": "26",
    "r": "2",
    "fill": props.colors[2]
  }, null), _createVNode("path", {
    "d": "M18 33C18 33 20 36 24 36C28 36 30 33 30 33",
    "stroke": props.colors[2],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("circle", {
    "cx": "31",
    "cy": "26",
    "r": "2",
    "fill": props.colors[2]
  }, null)]);
});
export default BytedShoppingBag;