import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedShorts = IconWrapper('byted-shorts', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M37 6H11V16L4 33L19 42L24 36L29 42L44 33L37 16V6Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M11 14C9.89543 14 9 14.8954 9 16C9 17.1046 9.89543 18 11 18V14ZM37 18C38.1046 18 39 17.1046 39 16C39 14.8954 38.1046 14 37 14V18ZM11 18L37 18V14L11 14V18Z",
    "fill": props.colors[2]
  }, null), _createVNode("path", {
    "d": "M37 14V16L38.75 20.25",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M11 14V16L9.25 20.25",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedShorts;