import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedSun = IconWrapper('byted-sun', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    "d": "M24 3V6.15V3Z",
    "fill": props.colors[0]
  }, null), _createVNode("path", {
    "d": "M24 3V6.15",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    "d": "M38.8492 9.15076L36.6219 11.3781L38.8492 9.15076Z",
    "fill": props.colors[0]
  }, null), _createVNode("path", {
    "d": "M38.8492 9.15076L36.6219 11.3781",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    "d": "M45 24H41.85H45Z",
    "fill": props.colors[0]
  }, null), _createVNode("path", {
    "d": "M45 24H41.85",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    "d": "M38.8492 38.8492L36.6219 36.6219L38.8492 38.8492Z",
    "fill": props.colors[0]
  }, null), _createVNode("path", {
    "d": "M38.8492 38.8492L36.6219 36.6219",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    "d": "M24 45V41.85V45Z",
    "fill": props.colors[0]
  }, null), _createVNode("path", {
    "d": "M24 45V41.85",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    "d": "M9.15076 38.8492L11.3781 36.6219L9.15076 38.8492Z",
    "fill": props.colors[0]
  }, null), _createVNode("path", {
    "d": "M9.15076 38.8492L11.3781 36.6219",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    "d": "M3 24H6.15H3Z",
    "fill": props.colors[0]
  }, null), _createVNode("path", {
    "d": "M3 24H6.15",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    "d": "M9.15076 9.15076L11.3781 11.3781L9.15076 9.15076Z",
    "fill": props.colors[0]
  }, null), _createVNode("path", {
    "d": "M9.15076 9.15076L11.3781 11.3781",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M24 36C30.6274 36 36 30.6274 36 24C36 17.3726 30.6274 12 24 12C17.3726 12 12 17.3726 12 24C12 30.6274 17.3726 36 24 36Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedSun;