import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedTeapot = IconWrapper('byted-teapot', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M23.0013 13C15.7011 13 9.54283 18.0701 7.62207 25H38.3805C36.4597 18.0701 30.3014 13 23.0013 13Z",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M7.00098 29.5926C7.00098 34.0112 8.66648 38.0265 11.382 41H34.62C37.3355 38.0265 39.001 34.0112 39.001 29.5926C39.001 27.9993 38.7844 26.4585 38.3802 25H7.62177C7.21753 26.4585 7.00098 27.9993 7.00098 29.5926Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M27 13V11C27 8.79086 25.2091 7 23 7V7C20.7909 7 19 8.79086 19 11V13",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M7.0006 28C7.0006 28 5.01521 27.8686 4.00007 25.5C2.5 22 5.00023 19.9999 6.00025 17C6.76104 14.7177 5.20688 13.0141 4.41976 12.3297C4.16754 12.1104 4.00053 11.7993 4.00044 11.465L4.00028 10.8473C4.00015 10.3584 4.35398 9.94421 4.84258 9.92626C5.87825 9.88823 7.66273 9.99699 9.00029 11C11.0006 12.5 12.0006 17 12.0006 17",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M9 41L37 41",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M39 25C41.7614 25 44 22.7614 44 20C44 17.2386 41.7614 15 39 15C36.9497 15 35.1876 16.2341 34.416 18",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedTeapot;