import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedCategoryManagement = IconWrapper('byted-category-management', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("rect", {
    "x": "6",
    "y": "28",
    "width": "36",
    "height": "14",
    "rx": "4",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth
  }, null), _createVNode("path", {
    "d": "M20 7H10C7.79086 7 6 8.79086 6 11V17C6 19.2091 7.79086 21 10 21H20",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap
  }, null), _createVNode("circle", {
    "cx": "34",
    "cy": "14",
    "r": "8",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth
  }, null), _createVNode("circle", {
    "cx": "34",
    "cy": "14",
    "r": "3",
    "fill": props.colors[2]
  }, null)]);
});
export default BytedCategoryManagement;