import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedGolfCourse = IconWrapper('byted-golf-course', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("ellipse", {
    "cx": "24",
    "cy": "34",
    "rx": "20",
    "ry": "10",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("circle", {
    "cx": "32",
    "cy": "34",
    "r": "2",
    "fill": props.colors[1],
    "stroke": props.colors[2],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M24 9L13 4V14L24 9Z",
    "fill": props.colors[1]
  }, null), _createVNode("path", {
    "d": "M13 34V14M13 14V4L24 9L13 14Z",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedGolfCourse;