import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedInboxOut = IconWrapper('byted-inbox-out', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48"
  }, [_createVNode("g", {
    "stroke": "none",
    "stroke-width": props.strokeWidth,
    "fill": "none",
    "fill-rule": "evenodd"
  }, [_createVNode("g", null, [_createVNode("polyline", {
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin,
    "points": "4 30 9 6 9 6 39 6 44 30"
  }, null), _createVNode("polygon", {
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "fill": props.colors[1],
    "fill-rule": "nonzero",
    "stroke-linejoin": props.strokeLinejoin,
    "points": "4 30 14.9090909 30 16.7272727 36 31.2727273 36 33.0909091 30 44 30 44 43 4 43"
  }, null), _createVNode("polyline", {
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin,
    "transform": "translate(24.000000, 17.000000) scale(1, -1) translate(-24.000000, -17.000000) ",
    "points": "18 14 24 20 30 14"
  }, null), _createVNode("path", {
    "d": "M24,26 L24,14",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)])])]);
});
export default BytedInboxOut;