import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedShip = IconWrapper('byted-ship', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48"
  }, [_createVNode("g", {
    "stroke": "none",
    "stroke-width": props.strokeWidth,
    "fill": "none",
    "fill-rule": "evenodd"
  }, [_createVNode("g", null, [_createVNode("polygon", {
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin,
    "points": "6 20.3768116 24 14 42 20.3768116 36.6666667 34 11.3333333 34"
  }, null), _createVNode("polygon", {
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "fill": props.colors[1],
    "fill-rule": "nonzero",
    "stroke-linejoin": props.strokeLinejoin,
    "points": "13 8 35 8 34.99759 17.8960866 24 14 13 17.8958424"
  }, null), _createVNode("path", {
    "d": "M24,8 L24,4",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M24,24 L24,16",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("polyline", {
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin,
    "points": "10 40 13.5 44 17 40 20.5 44 24 40 27.5 44 31 40 34.5 44 38 40"
  }, null)])])]);
});
export default BytedShip;