import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedShopping = IconWrapper('byted-shopping', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M39 32H13L8 12H44L39 32Z",
    "fill": props.colors[1]
  }, null), _createVNode("path", {
    "d": "M3 6H6.5L8 12M8 12L13 32H39L44 12H8Z",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("circle", {
    "cx": "13",
    "cy": "39",
    "r": "3",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("circle", {
    "cx": "39",
    "cy": "39",
    "r": "3",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedShopping;