import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedSixKey = IconWrapper('byted-six-key', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("rect", {
    "x": "6",
    "y": "6",
    "width": "36",
    "height": "36",
    "rx": "3",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M24.5 33C27.5376 33 30 30.5376 30 27.5C30 24.4624 27.5376 22 24.5 22C21.4624 22 19 24.4624 19 27.5C19 30.5376 21.4624 33 24.5 33Z",
    "stroke": props.colors[2],
    "stroke-width": props.strokeWidth
  }, null), _createVNode("path", {
    "d": "M29.5962 17.7392C28.7778 15.5461 26.8044 14 24.5 14C21.4624 14 19 16.6863 19 20V27",
    "stroke": props.colors[2],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedSixKey;