import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedSofa = IconWrapper('byted-sofa', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48"
  }, [_createVNode("g", {
    "stroke": "none",
    "stroke-width": props.strokeWidth,
    "fill": "none",
    "fill-rule": "evenodd",
    "stroke-linejoin": props.strokeLinejoin
  }, [_createVNode("g", {
    "transform": "translate(4.000000, 8.000000)",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth
  }, [_createVNode("rect", {
    "fill": props.colors[1],
    "fill-rule": "nonzero",
    "x": "0",
    "y": "13",
    "width": "8",
    "height": "14"
  }, null), _createVNode("rect", {
    "fill": props.colors[1],
    "fill-rule": "nonzero",
    "x": "32",
    "y": "13",
    "width": "8",
    "height": "14"
  }, null), _createVNode("rect", {
    "stroke-linecap": props.strokeLinecap,
    "x": "8",
    "y": "19",
    "width": "24",
    "height": "8"
  }, null), _createVNode("polyline", {
    "stroke-linecap": props.strokeLinecap,
    "points": "4 12 4 0 36 0 36 12"
  }, null), _createVNode("path", {
    "d": "M4,28 L4,32",
    "stroke-linecap": props.strokeLinecap
  }, null), _createVNode("path", {
    "d": "M36,28 L36,32",
    "stroke-linecap": props.strokeLinecap
  }, null)])])]);
});
export default BytedSofa;