import type { App, DefineComponent, ComponentOptions } from 'vue';
import * as mapIcon from './map';
import { IIconProps } from './runtime';
export declare type IconType = keyof typeof mapIcon;
export interface IIconAllProps extends IIconProps {
    type: IconType | string;
}
export declare type IIconAllOptions = ComponentOptions<IIconAllProps>;
export declare type TAllIcon = DefineComponent<IIconAllProps>;
export declare const IconKeg: TAllIcon;
export declare const iconKegInstall: (Vue: App, prefix?: string) => void;
