import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedAreaMap = IconWrapper('byted-area-map', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M18 24L12 33L4 28.5V42H44V15L37 23L31 18L24 26L18 24Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M4 28.5V17L11 23L16.5 15L22.5 18L31 9L36.5 13.5L44 6V15.5",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedAreaMap;