import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedBarCode = IconWrapper('byted-bar-code', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48"
  }, [_createVNode("g", {
    "stroke": "none",
    "stroke-width": props.strokeWidth,
    "fill": "none",
    "fill-rule": "evenodd",
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, [_createVNode("g", {
    "transform": "translate(4.000000, 6.000000)",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth
  }, [_createVNode("path", {
    "d": "M0,14 L40,14"
  }, null), _createVNode("path", {
    "d": "M2,0 L2,8"
  }, null), _createVNode("path", {
    "d": "M2,19.9954922 L2,31.9991242"
  }, null), _createVNode("path", {
    "d": "M16.4,0 L16.4,8"
  }, null), _createVNode("path", {
    "d": "M16.4,20 L16.4,36"
  }, null), _createVNode("path", {
    "d": "M30.8,0 L30.8,8"
  }, null), _createVNode("path", {
    "d": "M38,0 L38,8"
  }, null), _createVNode("path", {
    "d": "M30.8,20 L30.8,28"
  }, null), _createVNode("path", {
    "d": "M9.2,0 L9.2,8"
  }, null), _createVNode("path", {
    "d": "M9.2,20 L9.2,28"
  }, null), _createVNode("path", {
    "d": "M23.6,0 L23.6,8"
  }, null), _createVNode("path", {
    "d": "M23.6,20 L23.6,28"
  }, null), _createVNode("path", {
    "d": "M38,20 L38,32"
  }, null)])])]);
});
export default BytedBarCode;