import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedClap = IconWrapper('byted-clap', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("g", {
    "clip-path": "url(#".concat(props.id, "vue0)")
  }, [_createVNode("path", {
    "d": "M17.1182 26.0132L9.25293 12.3902C8.80961 11.6224 7.82778 11.3593 7.05994 11.8026C6.38243 12.1938 6.08553 13.0164 6.35702 13.7501L11.8773 28.6684C11.9585 28.8878 12.0005 29.1197 12.0016 29.3535L12.0586 42.0265C12.0636 43.1276 12.9575 44.0175 14.0586 44.0175L19.0159 44.0175C20.2925 44.0175 21.2424 42.8377 20.9698 41.5906L18 28L17.1182 26.0132Z",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M12 29L18 28",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M30.5631 25.7289L38.2543 12.4074C38.7031 11.6301 39.697 11.3637 40.4743 11.8125C41.1464 12.2006 41.4504 13.0097 41.2 13.7443L36.0949 28.7215C36.032 28.9062 35.9964 29.099 35.9893 29.294L35.5231 42.0923C35.484 43.1678 34.6007 44.0195 33.5245 44.0195L28.5602 44.0195C27.2593 44.0195 26.3046 42.7971 26.6198 41.5349L30 28L30.3343 26.3351C30.3771 26.122 30.4544 25.9172 30.5631 25.7289Z",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M30 28L36 29",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M15 7L18.5 11",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M23 4L24 10",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M33 6L30 10",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]), _createVNode("defs", null, [_createVNode("clipPath", {
    "id": props.id + 'vue0'
  }, [_createVNode("rect", {
    "width": "48",
    "height": "48",
    "fill": props.colors[2]
  }, null)])])]);
});
export default BytedClap;