import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedEndless = IconWrapper('byted-endless', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M31 21L35 18L44 24V34L34 40L24 34V13L13 7L4 13V24L13 30L17 27",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedEndless;