import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedFormula = IconWrapper('byted-formula', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M40 9L37 6H8L26 24L8 42H37L40 39",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedFormula;