import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedMerge = IconWrapper('byted-merge', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("rect", {
    "x": "4",
    "y": "24",
    "width": "20",
    "height": "22",
    "rx": "2",
    "transform": "rotate(-45 4 24)",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("rect", {
    "x": "16",
    "y": "24",
    "width": "20",
    "height": "20",
    "rx": "2",
    "transform": "rotate(-45 16 24)",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedMerge;