import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedRadishOne = IconWrapper('byted-radish-one', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M39 15C41.1831 15.5549 43 16.5 43 19C43 21.5 40 22 38 22",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M26 10C26 7 27.7487 5 30 5C32 5 33.048 5.61995 34 8",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M31 12C31 12 31.9511 9.86831 33.1227 9.08979C34.9926 7.84732 37.5 7.71835 38.8715 9.08979C40.4633 10.6816 40.4633 13.2467 38.8715 14.8385C37.2796 16.4303 35.9971 17 35.9971 17",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M10.0009 14C4.91623 19.0847 3.58302 26.9136 6.58928 33.1035C6.58928 33.1035 5.00095 41 6.00095 42C7.00095 43 14.8622 41.4082 14.8622 41.4082C17.0725 42.4679 19.4148 43 21.8025 43C26.1362 43 30.7718 41.1473 34.0009 38C37.1846 34.8164 38.6075 30.7021 38.6075 26.2359C38.6075 21.7288 37.0005 18 33.6547 14.5247C30.3089 11.0494 26.4006 9.31265 21.8889 9.31265C17.3818 9.31265 13.1846 10.8164 10.0009 14Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M5 28C5 28 10 27 12 31",
    "stroke": props.colors[2],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M18 42C18 42 19 38 17 36",
    "stroke": props.colors[2],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M21.8026 43C19.4149 43 17.0727 42.4679 14.8623 41.4082",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M6.58928 33.1035C3.58302 26.9136 4.91623 19.0847 10.0009 14",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedRadishOne;