import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedRoundCaliper = IconWrapper('byted-round-caliper', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("circle", {
    "cx": "24",
    "cy": "24",
    "r": "20",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("circle", {
    "cx": "24",
    "cy": "24",
    "r": "4",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M44 24C44 27.3688 43.1491 30.683 41.5261 33.6351C39.9032 36.5872 37.5609 39.0815 34.7165 40.8866L30.4299 34.1319C32.1365 33.0489 33.5419 31.5523 34.5157 29.781C35.4894 28.0098 36 26.0213 36 24H44Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M13.4233 40.9745C10.5641 39.193 8.2013 36.7181 6.55405 33.7795C4.9068 30.8409 4.02851 27.5339 4.00068 24.1652L12.0004 24.0991C12.0171 26.1203 12.5441 28.1046 13.5324 29.8677C14.5208 31.6309 15.9385 33.1158 17.654 34.1847L13.4233 40.9745Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M14.4422 6.43161C17.4014 4.8217 20.7193 3.98536 24.0881 4.00019C27.4568 4.01503 30.7672 4.88055 33.7121 6.51646L29.8273 13.5099C28.0603 12.5283 26.0741 12.009 24.0528 12.0001C22.0316 11.9912 20.0408 12.493 18.2653 13.459L14.4422 6.43161Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedRoundCaliper;