import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedChoppingBoard = IconWrapper('byted-chopping-board', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M14 8C16.5033 8 35.7176 8 42.0112 8C43.1158 8 44 8.89543 44 10V38C44 39.1046 43.117 40 42.0125 40C35.8575 40 17.3255 40 14 40C10 40 4 38 4 24C4 10 11 8 14 8Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M12 20V28",
    "stroke": props.colors[2],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedChoppingBoard;