import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedCircus = IconWrapper('byted-circus', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M9 26C9 26 8.92429 26.7867 8 31C7.02053 35.4648 4 44 4 44H44C44 44 40.9795 35.4648 40 31C39.0757 26.7867 39 26 39 26",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M20 28C21 37 16 44 16 44",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M28 28C27 37 32 44 32 44",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M6 18C6 18 13.5923 17.9452 17 17C19.8659 16.2051 24 14 24 14C24 14 27.8229 16.1944 30.5 17C34.0722 18.075 42 18 42 18L41 25C41 25 37 27 36 27C35 27 33 25 32 25C31 25 28.5 28 28 28C27.5 28 25 25 24 25C23 25 21 28.5 20 28.5C19 28.5 17 25 16 25C15.802 25 15.5257 25.0784 15.2098 25.2041C13.0681 26.0564 10.7214 26.4885 8.58115 25.6325L7 25L6 18Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M24 5V15",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap
  }, null), _createVNode("path", {
    "d": "M36 11V4.99999C36 4.99999 34.5 7.99999 30 4.99999C25.5 1.99999 24 4.99999 24 4.99999V11C24 11 25.5 7.99999 30 11C34.5 14 36 11 36 11Z",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedCircus;