import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedCookingPot = IconWrapper('byted-cooking-pot', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48"
  }, [_createVNode("g", {
    "stroke": "none",
    "stroke-width": props.strokeWidth,
    "fill": "none",
    "fill-rule": "evenodd",
    "stroke-linejoin": props.strokeLinejoin
  }, [_createVNode("g", {
    "transform": "translate(4.000000, 3.000000)",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth
  }, [_createVNode("path", {
    "d": "M6,41 L34,41 L34,17.9473684 C34,11.9013038 27.7319865,7 20,7 C12.2680135,7 6,11.9013038 6,17.9473684 L6,41 Z",
    "stroke-linecap": props.strokeLinecap
  }, null), _createVNode("path", {
    "d": "M34,19.0436777 C34,18.8000534 34,18.434617 34,17.9473684 C34,11.9013038 27.7319865,7 20,7 C12.2680135,7 6,11.9013038 6,17.9473684 C6,18.4331602 6,18.7975039 6,19.0403998 L34,19.0436777 Z",
    "fill": props.colors[1],
    "fill-rule": "nonzero"
  }, null), _createVNode("path", {
    "d": "M0,19 L40,19",
    "stroke-linecap": props.strokeLinecap
  }, null), _createVNode("path", {
    "d": "M17,1 L23,1",
    "stroke-linecap": props.strokeLinecap
  }, null)])])]);
});
export default BytedCookingPot;