import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedFoundationMakeup = IconWrapper('byted-foundation-makeup', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M13 19C13 17.8954 13.8954 17 15 17H31C32.1046 17 33 17.8954 33 19V38C33 38 33 44 27 44C21 44 25 44 19 44C13 44 13 38 13 38V19Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("rect", {
    "x": "18",
    "y": "12",
    "width": "10",
    "height": "5",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M18 12C18 10 18.0001 12 18 9C17.9999 6 21 4 24 4C27 4 35 4 35 4C35 4 28.0001 6 28 10C27.9999 14 28 12 28 12",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedFoundationMakeup;