import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedJoystick = IconWrapper('byted-joystick', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48"
  }, [_createVNode("g", {
    "stroke": "none",
    "stroke-width": props.strokeWidth,
    "fill": "none",
    "fill-rule": "evenodd",
    "stroke-linejoin": props.strokeLinejoin
  }, [_createVNode("g", {
    "transform": "translate(4.000000, 4.000000)",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth
  }, [_createVNode("rect", {
    "fill": props.colors[1],
    "fill-rule": "nonzero",
    "x": "0",
    "y": "29",
    "width": "40",
    "height": "10"
  }, null), _createVNode("rect", {
    "stroke-linecap": props.strokeLinecap,
    "x": "22",
    "y": "22",
    "width": "12",
    "height": "7"
  }, null), _createVNode("circle", {
    "fill": props.colors[1],
    "fill-rule": "nonzero",
    "cx": "14",
    "cy": "5",
    "r": "5"
  }, null), _createVNode("path", {
    "d": "M12,10 L5,29",
    "stroke-linecap": props.strokeLinecap
  }, null)])])]);
});
export default BytedJoystick;