import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedMediaeditor = IconWrapper('byted-mediaeditor', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M35 32.1333V34C35 35.6569 33.6569 37 32 37H7C5.34315 37 4 35.6569 4 34V31.1333L44 12",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M35 15.8667V14C35 12.3431 33.6569 11 32 11H7C5.34315 11 4 12.3431 4 14V16.8667L44 36",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedMediaeditor;