import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedNavigation = IconWrapper('byted-navigation', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M24.5 4L9 44L24.5 34.9091L40 44L24.5 4Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedNavigation;