import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedNetworkDrive = IconWrapper('byted-network-drive', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M40.5178 36.3161C43.8044 34.005 45.2136 29.8302 44.0001 26C42.7866 22.1698 39.0705 20.0714 35.0527 20.0745H32.7317C31.2144 14.1613 26.2082 9.79572 20.1435 9.0972C14.0787 8.39868 8.21121 11.5118 5.38931 16.9253C2.56741 22.3388 3.37545 28.9317 7.42115 33.5035",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("rect", {
    "x": "14",
    "y": "35",
    "width": "20",
    "height": "6",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M34 28L22 28",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M16 28H14",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedNetworkDrive;