import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedSkate = IconWrapper('byted-skate', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M44 39.82H4L36.54 21.82H44V39.82Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-miterlimit": "2",
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M3.85767 19.201L7.08972 20.799L24.4102 10.799L24.6423 7.20096",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-miterlimit": "2",
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M12.33 24.88C13.9868 24.88 15.33 23.5369 15.33 21.88C15.33 20.2232 13.9868 18.88 12.33 18.88C10.6731 18.88 9.32996 20.2232 9.32996 21.88C9.32996 23.5369 10.6731 24.88 12.33 24.88Z",
    "fill": props.colors[0]
  }, null), _createVNode("path", {
    "d": "M23.45 18.88C25.1068 18.88 26.45 17.5369 26.45 15.88C26.45 14.2232 25.1068 12.88 23.45 12.88C21.7931 12.88 20.45 14.2232 20.45 15.88C20.45 17.5369 21.7931 18.88 23.45 18.88Z",
    "fill": props.colors[0]
  }, null)]);
});
export default BytedSkate;