import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedSunshade = IconWrapper('byted-sunshade', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M40.1032 25.8172C39.2068 28.0999 30.4308 28.8256 21.3618 26.3956C12.2929 23.9655 6.5828 19.5524 7.2617 17.0173C8.79543 11.2934 16.9744 2.46235 28.6712 6.68878C40.368 10.9152 41.6369 20.0932 40.1032 25.8172Z",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M27.9995 7C27.9995 7 23.9993 13.5 20.9995 24C17.9997 34.5 17.9997 42 17.9997 42",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M28.0003 7C28.0003 7 17.7941 8.84353 15 17",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M28.0003 7C28.0003 7 34 13 30.9998 22",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M10 43C10 43 19 41.5 26 41.5C33 41.5 39 42 39 42",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M27.9999 7C29 7 31 6 31.8145 4.41978",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M34 41C34 39.3431 33 37 30 37C27 37 26 39.3431 26 41",
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linecap": props.strokeLinecap,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedSunshade;