import { createVNode as _createVNode } from "vue";
import { IconWrapper } from '../runtime';
export var BytedWindmillTwo = IconWrapper('byted-windmill-two', false, function (props) {
  return _createVNode("svg", {
    "width": props.size,
    "height": props.size,
    "viewBox": "0 0 48 48",
    "fill": "none"
  }, [_createVNode("path", {
    "d": "M24 24C29.5228 24 34 19.5228 34 14C34 8.47715 29.5228 4 24 4V24Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M24 24C24 29.5228 28.4772 34 34 34C39.5228 34 44 29.5228 44 24H24Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M24 24C24 18.4772 19.5228 14 14 14C8.47715 14 4 18.4772 4 24H24Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linejoin": props.strokeLinejoin
  }, null), _createVNode("path", {
    "d": "M24 24C18.4772 24 14 28.4772 14 34C14 39.5228 18.4772 44 24 44V24Z",
    "fill": props.colors[1],
    "stroke": props.colors[0],
    "stroke-width": props.strokeWidth,
    "stroke-linejoin": props.strokeLinejoin
  }, null)]);
});
export default BytedWindmillTwo;